<?php
/**
*
* phpBB Directory extension for the phpBB Forum Software package.
*
* @copyright (c) 2014 ErnadoO <http://www.phpbb-services.com>
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'ACP_DIRECTORY'							=> 'phpBB Directory',
	'ACP_DIRECTORY_CATS'					=> 'Category settings',
	'ACP_DIRECTORY_INDEX_TITLE'				=> 'phpBB Directory',
	'ACP_DIRECTORY_MAIN'					=> 'Informations and Tools',
	'ACP_DIRECTORY_SETTINGS'				=> 'General settings',
	'ACP_DIRECTORY_SETTINGS_EXPLAIN'		=> 'Directory settings',
	'ACP_DIRECTORY_VAL'						=> 'Website authorisation',
	'DIR_ACTIVE_CHECK'						=> 'Enable the submitted websites test',
	'DIR_ACTIVE_CHECK_EXPLAIN'				=> 'By checking <i>yes</i>, the links will be tested when they are submitted. If there is no answer in a second, they will be considered as unreacheable.',
	'DIR_ACTIVE_THUMB'						=> 'Enable websites thumbnails',
	'DIR_ACTIVE_THUMB_REMOTE'				=> 'Enable the AscreeN compatibility',
	'DIR_ACTIVE_THUMB_REMOTE_EXPLAIN'		=> 'By checking <i>yes</i>, during a website submission, the mod will check if an AscreeN thumbnails exists.<br />An AscreeN thumbnail is managed by the webmaster and normally it is more accurate to the website look.',
	'DIR_ACTIV_BANNER'						=> 'Enable banner link',
	'DIR_ACTIV_FLAG'						=> 'Enable language selection',
	'DIR_ACTIV_PAGERANK'					=> 'Enable websites pagerank',
	'DIR_ACTIV_PAGERANK_EXPLAIN'			=> 'The pagerank calculated during the website submission will be displayed.',
	'DIR_ACTIV_REWRITE'						=> 'Enable the  directory url rewritting ',
	'DIR_ACTIV_REWRITE_EXPLAIN'				=> 'If you enable this option, the urls of the directory categories as well as the navbar’s directory link will be rewritten according to the settings of the mod <a href="http://www.phpbb-seo.com/fr/mod-rewrite-phpbb/ultimate-seo-url-t4489.html" target="_blank">Ultimate SEO URL by dcz</a>.<br />An update of the file .htaccess will be required.',
	'DIR_ACTIV_RSS'							=> 'Enable the specification of the RSS feed',
	'DIR_ACTIV_RSS_EXPLAIN'					=> 'Acivating of this option allows to specify the URL of the associated RSS feed during the website submission <br />An icon will be displayed when the category is looked at.',
	'DIR_ADD_GUEST'							=> 'Guests Settings',
	'DIR_ALLOW_BBCODE'						=> 'Allow bbcodes in comments',
	'DIR_ALLOW_COMMENTS'					=> 'Allow comments',
	'DIR_ALLOW_FLASH'						=> 'Allow use of <code>[FLASH]</code> BBCode tag in comments',
	'DIR_ALLOW_LINKS'						=> 'Allow links in comments',
	'DIR_ALLOW_SMILIES'						=> 'Allow smiley in comments',
	'DIR_ALLOW_VOTES'						=> 'Allow votes',
	'DIR_BANNERS_DIR_SIZE'					=> 'Size of the banners directory',
	'DIR_BANN_PARAM'						=> 'Banners Settings',
	'DIR_CAT_ADMIN'							=> 'Settings of the directory categories',
	'DIR_CAT_ADMIN_EXPLAIN'					=> 'Here you can add, modify or delete categories individually. If the statistiques of the links (comments, numbers of votes) or one of the categories seems uncorrect, you can also re-synchronize a category.',
	'DIR_CAT_CREATED'						=> 'The category has been created.',
	'DIR_CAT_DATA_NEGATIVE'					=> 'The automatic checking settings and the number of checking before removal cannot be negatives or not existing.',
	'DIR_CAT_DELETE'						=> 'Delete the category',
	'DIR_CAT_DELETED'						=> 'The category was deleted',
	'DIR_CAT_DELETE_EXPLAIN'				=> 'The following form allows you to delete a category and to decide where you want to move all the websites (or categories) it contains.',
	'DIR_CAT_DESC'							=> 'Description',
	'DIR_CAT_DESC_EXPLAIN'					=> 'The description of the category is optionnal. If you write one, it will appear above the websites in the category.<br />Any HTML balise written will be displayed as they are.',
	'DIR_CAT_GENERAL_SETTINGS'				=> 'General Settings of the Category',
	'DIR_CAT_ICON'							=> 'Category Picture',
	'DIR_CAT_NAME'							=> 'Category Name',
	'DIR_CAT_NAME_EMPTY'					=> 'You must enter category name',
	'DIR_CAT_PARENT'						=> 'Category parent',
	'DIR_CAT_RESYNCED'						=> 'The category “%s” has been resynchronized',
	'DIR_CAT_SETTINGS'						=> 'Category Settings',
	'DIR_CAT_TOO_LONG'						=> 'The category description is too long. It cannot contain more than 4000 characters.',
	'DIR_CAT_UPDATED'						=> 'The category informations have been updated.',
	'DIR_COMM_PARAM'						=> 'Comments Settings',
	'DIR_COMM_PER_PAGE'						=> 'Number of comments per page',
	'DIR_CONFIG_SETTINGS'					=> 'The directory configuration update',
	'DIR_COUNT_ALL'							=> 'Count the the sub-categories websites',
	'DIR_COUNT_ALL_EXPLAIN'					=> 'If you enable this option, the counter displayed next to each category will count the websites in the sub-categories',
	'DIR_ADD_CAT'							=> 'Create a new category',
	'DIR_CRON_ENABLE'						=> 'Enable backlinks periodical check ',
	'DIR_CRON_ENABLE_EXPLAIN'				=> 'If enabled, this option will periodically check submitted back links validity.',
	'DIR_CRON_EVERY'						=> 'Check every',
	'DIR_CRON_SETTINGS'						=> 'Back Links Settings',
	'DIR_DEFAULT_ORDER'						=> 'Ranking default order ',
	'DIR_DELETE_ALL_LINKS'					=> 'Delete all the websites',
	'DIR_DELETE_ORPHANS'					=> 'Delete orphan banners',
	'DIR_DELETE_ORPHANS_CONFIRM'			=> 'Are you sure you want to delete the orphan banners ?',
	'DIR_DELETE_ORPHANS_EXPLAIN'			=> 'The orphan banners are the banners which were copied on the server but, for an unknown reason, are no longer associated to a directory website',
	'DIR_DELETE_ORPHANS_SUCCESS'			=> 'Orphans banners deleted',
	'DIR_DELETE_SUBCATS'					=> 'Delete sub-categories and websites',
	'DIR_EDIT_CAT'							=> 'Edit category',
	'DIR_EDIT_EXPLAIN'						=> 'The following form allows you to personnalize this category.',
	'DIR_ERROR_AUTH_COMM'					=> 'You are not allowed to post a comment',
	'DIR_ERROR_CAT'							=> 'It is not possible to recover the datas of the category',
	'DIR_ERROR_COMM_LOGGED'					=> 'You have to be logged in to post a comment',
	'DIR_ERROR_KEYWORD'						=> 'You must enter keywords to do a research',
	'DIR_ERROR_NOT_AUTH'					=> 'You are not allowed to do this operation',
	'DIR_ERROR_NO_LINK'						=> 'The website you are looking for doesn’t exist',
	'DIR_ERROR_NO_LINKS'					=> 'This website doesn’t exist',
	'DIR_ERROR_SUBMIT_TYPE'					=> 'Wrong data type in the function dir_submit_type',
	'DIR_ERROR_URL'							=> 'You must enter a valid URL',
	'DIR_ERROR_VOTE'						=> 'You have already voted for this website',
	'DIR_ERROR_VOTE_LOGGED'					=> 'You must be logged in to vote',
	'DIR_INDEX'								=> 'Index of the Directory',
	'DIR_LENGTH_COMMENTS'					=> 'Maximal number of characters for a link commentary',
	'DIR_LINKS'								=> 'Links',
	'DIR_LINK_ACTIVATE'						=> 'Validate',
	'DIR_LINK_DELETE'						=> 'Delete',
	'DIR_LIST_INDEX'						=> 'Display the category in the legend of its parent category',
	'DIR_MAIL_NOTIFICATION'					=> 'A new website in the directory',
	'DIR_MAIL_VALIDATION'					=> 'Receive an email for a website pending authentication',
	'DIR_MAX_ADD_ATTEMPTS'					=> 'Attempts of website submission',
	'DIR_MAX_ADD_ATTEMPTS_EXPLAIN'			=> 'Number of attempts to enter the confirmation code before the end of their session.',
	'DIR_MAX_BANN'							=> 'Maximum banners size',
	'DIR_MAX_BANN_EXPLAIN'					=> 'Maximum sent banners size. Set the two values on 0px by 0px to disable the option of control.',
	'DIR_MAX_DESC'							=> 'Maximum characters  number for the website description.',
	'DIR_MAX_SIZE'							=> 'Maximum banner size',
	'DIR_MAX_SIZE_EXPLAIN'					=> 'For the  sent banners',
	'DIR_MOVE_LINKS_TO'						=> 'Move all websites to',
	'DIR_MOVE_SUBCATS_TO'					=> 'Move the sub-categories',
	'DIR_MUST_BACK'							=> 'Request a back link',
	'DIR_MUST_BACK_EXPLAIN'					=> 'If enabled, this option asks for a link back during the website submission.',
	'DIR_MUST_DESCRIBE'						=> 'Enable description request during a website submission',
	'DIR_NB_CHECK'							=> 'Number of chekings before removal',
	'DIR_NB_CHECK_EXPLAIN'					=> 'Enter  the number of checks after which a website will be removed because his backlink is not valid anymore; An email will be sent at every failed checking to warn the user of the missing backlink. Enter 0 if you want to remove the website after the first failed checking.',
	'DIR_NESTEDSET_LOCK_FAILED_ACQUIRE'		=> 'Unable to lock the categories table for this operation',
	'DIR_NESTEDSET_INVALID_ITEM'			=> 'Unable to retrieve informations about the category',
	'DIR_NESTEDSET_INVALID_PARENT'			=> 'Invalid parent category',
	'DIR_NEW_TIME'							=> 'Number of days for the new websites.',
	'DIR_NEW_TIME_EXPLAIN'					=> 'Number of days to consider a website as new. If so, the icon "new" will be displayed. Enter 0 to disable this option.',
	'DIR_NEXT_CRON_ACTION'					=> 'Date of the next checking',
	'DIR_NO_CAT'							=> 'No category selected',
	'DIR_NO_DESTINATION_CAT'				=> 'A destination category is not specified',
	'DIR_NO_LINK'							=> 'There is no website waiting for approval',
	'DIR_NO_PARENT'							=> 'No parent',
	'DIR_NUMBER_CATS'						=> 'Categories number',
	'DIR_NUMBER_CLICKS'						=> 'Number of clicks',
	'DIR_NUMBER_COMMENTS'					=> 'Number of comments',
	'DIR_NUMBER_LINKS'						=> 'Number of Active links',
	'DIR_NUMBER_ORPHANS'					=> 'Number of Orphan banners',
	'DIR_NUMBER_VOTES'						=> 'Number of Votes',
	'DIR_ORDER_A_A'							=> '[Ascending] Author',
	'DIR_ORDER_A_D'							=> '[Descending] Author',
	'DIR_ORDER_R_A'							=> '[Ascending] Comments',
	'DIR_ORDER_R_D'							=> '[Descending] Comments',
	'DIR_ORDER_S_A'							=> '[Ascending] Name',
	'DIR_ORDER_S_D'							=> '[Descending] Name',
	'DIR_ORDER_T_A'							=> '[Ascending] Date',
	'DIR_ORDER_T_D'							=> '[Descending] Date',
	'DIR_ORDER_V_A'							=> '[Ascending] Cliks',
	'DIR_ORDER_V_D'							=> '[Descending] Cliks',
	'DIR_PARAM'								=> 'General Settings',
	'DIR_RECENT_COLUMNS'					=> 'Number of columns in the block',
	'DIR_RECENT_ENABLE'						=> 'Enable "last links added" block',
	'DIR_RECENT_ENABLE_EXPLAIN'				=> 'This option displays a block showing the latest websites added to the directory  at the bottom of the directory main page. <br />The number of displayed websites can be set in  the following settings.',
	'DIR_RECENT_EXCLUDE'					=> 'ID of the categories to exclude',
	'DIR_RECENT_EXCLUDE_EXPLAIN'			=> 'Enter here the IDs of the cateogories not to consider, separated with comma.<br />Ex: 1,4,12',
	'DIR_RECENT_GUEST'						=> 'Settings of the "Last links added" block',
	'DIR_RECENT_ROWS'						=> 'Number of lines in the block',
	'DIR_RESET_CLICKS'						=> 'Reset clicks counter',
	'DIR_RESET_CLICKS_CONFIRM'				=> 'Are you sure you want to reset the clicks counter ?',
	'DIR_RESET_CLICKS_SUCCESS'				=> 'Clicks reseted',
	'DIR_RESET_COMMENTS'					=> 'Reset comments',
	'DIR_RESET_COMMENTS_CONFIRM'			=> 'Are you sure you want to reset the comments ?',
	'DIR_RESET_COMMENTS_EXPLAIN'			=> 'Delete all comments from the directory links',
	'DIR_RESET_COMMENTS_SUCCESS'			=> 'Comments deleted',
	'DIR_RESET_VOTES'						=> 'Reset votes',
	'DIR_RESET_VOTES_CONFIRM'				=> 'Are you sure you want to reset votes ?',
	'DIR_RESET_VOTES_EXPLAIN'				=> 'Delete all votes from the directory links',
	'DIR_RESET_VOTES_SUCCESS'				=> 'Votes reseted',
	'DIR_REWRITE_PARAM'						=> 'URL Rewriting Settings',
	'DIR_SELECT_CAT'						=> 'Select a category',
	'DIR_SHOW'								=> 'Number of websites per page',
	'DIR_STATS'								=> 'Directory statistiques',
	'DIR_STORAGE_BANNER'					=> 'Copy the banners on the server',
	'DIR_STORAGE_BANNER_EXPLAIN'			=> 'If you enable this option, the banners linked to the websites will be copied to this server.<br />Enabling this option makes page load faster.',
	'DIR_SUBCAT'							=> 'Sub-category',
	'DIR_THUMB_PARAM'						=> 'Thumbnails Settings',
	'DIR_THUMB_SERVICE'						=> 'Thumbnail Service to use',
	'DIR_THUMB_SERVICE_EXPLAIN'				=> 'Thumbnail Service to use when the Ascreen thumbnail does not exist. Unless enabling the option below, changing this setting will only affect the futur submitted websites',
	'DIR_THUMB_SERVICE_REVERSE'				=> 'Enable the retroactive change of service',
	'DIR_THUMB_SERVICE_REVERSE_EXPLAIN'		=> 'By checking <i>yes</i>, the existing links before the change of the service will use the new service selected. It requires a query for each website during the first display after the service change, in order to update the table.',
	'DIR_USER_PROP'							=> 'Submitted by %s in <i>%s</i> the %s',
	'DIR_VALIDATE'							=> 'Enable administrator validation',
	'DIR_VALIDATE_EXPLAIN'					=> 'By checking <i>yes</i>, the submitted links will  be authenticated before appearing in the directory. Otherwise, if you check <i>no</i> the links will be immediately displayed.',
	'DIR_VALIDATION'						=> 'Validation of the directory websites',
	'DIR_VALIDATION_EXPLAIN'				=> 'This option will work only if in the settings panel you choose that the website of the directory have to be approuved. If so, an email will be sent to the person who submitted the website and, as soon as you validate the website in the panel, it will appear in the directory.',
	'DIR_VISUAL_CONFIRM'					=> 'Enable the visual confirmation for guests',
	'DIR_VISUAL_CONFIRM_EXPLAIN'			=> 'By checking <i>yes</i>, the guests will have to enter a random code matching a picture to prevent them from mass submission.',
	'DIR_WAITING_LINKS'						=> 'Number of Pending links',

	'LOG_DIR_AUTO_PRUNE'					=> '<strong>Auto prune of a category of the directory</strong><br />» %s',
	'LOG_DIR_CAT_ADD'						=> '<strong>Creation of a new category in the directory</strong><br />» %s',
	'LOG_DIR_CAT_DEL_CAT'					=> '<strong>Removal of a category</strong><br />» %s',
	'LOG_DIR_CAT_DEL_CATS'					=> '<strong>Removal of a category and its sub-categories</strong><br />» %s',
	'LOG_DIR_CAT_DEL_LINKS'					=> '<strong>Removal of a category and its messages.</strong><br />» %s',
	'LOG_DIR_CAT_DEL_LINKS_CATS'			=> '<strong>Removal of a category, of its messages and of its sub-categories</strong><br />» %s',
	'LOG_DIR_CAT_DEL_LINKS_MOVE_CATS'		=> '<strong>Removal of a category and its messages, sub-categories moved</strong> to %1$s<br />» %2$s',
	'LOG_DIR_CAT_DEL_MOVE_CATS'				=> '<strong>Removal of a category and sub-categories moved</strong> to %1$s<br />» %2$s',
	'LOG_DIR_CAT_DEL_MOVE_LINKS'			=> '<strong>Removal of a category and messages moved</strong> to %1$s<br />» %2$s',
	'LOG_DIR_CAT_DEL_MOVE_LINKS_CATS'		=> '<strong>Removal of a category and its sub-categories, and messages moved</strong> to %1$s<br />» %2$s',
	'LOG_DIR_CAT_DEL_MOVE_LINKS_MOVE_CATS'	=> '<strong>Removal of a category, messages moved </strong> to %1$s <strong>and sub-categories moved</strong> to %2$s<br />» %3$s',
	'LOG_DIR_CAT_EDIT'						=> '<strong>Modify a category of the directory</strong><br />» %s',
	'LOG_DIR_CAT_MOVE_DOWN'					=> '<strong>Move a category of the directory</strong> %1$s <strong>under</strong> %2$s',
	'LOG_DIR_CAT_MOVE_UP'					=> '<strong>Move a category of the directory</strong> %1$s <strong>above</strong> %2$s',
	'LOG_DIR_CAT_SYNC'						=> '<strong>Resynchronization of a category of the directory</strong><br />» %s',
	'LOG_LINK_APPROVED'						=> '<strong>Activation of websites waiting for approval</strong><br />» %s',
	'LOG_LINK_DISAPPROVED'					=> '<strong>Removal of websites waiting for approval</strong><br />» %s',

	'SYNC_IN_PROGRESS'						=> 'Synchronization of the category',
	'SYNC_IN_PROGRESS_EXPLAIN'				=> 'Resynchronization of the links %1$d/%2$d in progress.',

	'TOO_LONG_DESCRIPTION'					=> 'Your description is too long',
	'TOO_SHORT_DESCRIPTION'					=> 'You must enter a description',
	'TOO_SHORT_REPLY'						=> 'Your comment is too short',
	'TOO_SHORT_SITE_NAME'					=> 'You must enter a name for the website',
	'TOO_SHORT_URL'							=> 'You must enter an URL',
	'TOO_SMALL_CAT'							=> 'You must select a category',
));
